> For the complete documentation index, see [llms.txt](https://cherrycake.tin.cat/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://cherrycake.tin.cat/version-1.x-beta/reference/core-modules/cache/cache-methods.md).

# Cache methods

## buildCacheKey( cacheKeyNamingOptions ) <a href="#buildcachekey" id="buildcachekey"></a>

Returns a cache key to uniquely identify a cached object, to be used in caching operations.

* **`cacheKeyNamingOptions`** A hash array of options to build the cache key, with the following possible keys:
  * **`prefix`** A prefix that will added to the beginning of the cache key. Used to prevent collisions.
  * **`uniqueId`** A specifically provided unique identification for the cached object. Used when you want to manually give a unique identifier to a cached object. This overrides any specified `specificPrefix`, `hash` or `key`.
  * **`specificPrefix`** A secondary prefix to further prevent collisions when using `hash` or `key`.
  * **`hash`** A string to be hashed as the cache key instead of using "key". For example: An SQL query.
  * **`key`** An arbitrary key to uniquely identify the cache key.

**Returns:** The cache key in the form of a string.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://cherrycake.tin.cat/version-1.x-beta/reference/core-modules/cache/cache-methods.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
